# Savings Plans

All savings plans related paths.

 - [GET /savings_plans/{savings_plan_id}](https://docs.upvest.co/api/savings-plans/retrieve_savings_plan.md): Retrieve a savings plan specified by its ID.
 - [DELETE /savings_plans/{savings_plan_id}](https://docs.upvest.co/api/savings-plans/delete_savings_plan.md): Delete a savings plan specified by its ID.
 - [GET /savings_plans](https://docs.upvest.co/api/savings-plans/list_savings_plans.md): Returns a paginated list of savings plans for the authenticated client. Savings plans can be of type `INSTRUMENT` (recurring buy of a single instrument) or `PORTFOLIO` (recurring investment distribute
 - [POST /savings_plans](https://docs.upvest.co/api/savings-plans/create_savings_plan.md): Creates a recurring savings plan that automatically invests a fixed cash amount at a defined frequency. Set `type` to `INSTRUMENT` to invest in a single instrument, or `PORTFOLIO` to distribute the in
 - [GET /savings_plans/{savings_plan_id}/executions/{savings_plan_execution_id}](https://docs.upvest.co/api/savings-plans/retrieve_savings_plan_execution.md): Retrieves a single execution of a savings plan by its ID, including the order placed and its current status.
 - [DELETE /savings_plans/{savings_plan_id}/executions/{savings_plan_execution_id}](https://docs.upvest.co/api/savings-plans/delete_savings_plan_execution.md): Deletes a scheduled savings plan execution before it has been processed. Only executions in the `NEW` status can be deleted.
 - [GET /savings_plans/{savings_plan_id}/executions](https://docs.upvest.co/api/savings-plans/list_savings_plan_executions.md): List savings plan executions for a saving plan specified by its ID.
 - [POST Savings plan execution events](https://docs.upvest.co/api/savings-plans/savings_plan_execution_event.md): Fires when a savings plan execution changes status (`SAVINGS_PLAN_EXECUTION.NEW`, `SAVINGS_PLAN_EXECUTION.PROCESSING`, `SAVINGS_PLAN_EXECUTION.FILLED`, `SAVINGS_PLAN_EXECUTION.SETTLED`, `SAVINGS_PLAN_
 - [POST Savings plan events](https://docs.upvest.co/api/savings-plans/savings_plan_event.md): Fires when a savings plan is created or cancelled (`SAVINGS_PLAN.CREATED`, `SAVINGS_PLAN.CANCELLED`).
